Project

General

Profile

Freedom issue #1290

Lots of apps are unusable without qt5-webengine

felicien - over 3 years ago - . Updated almost 2 years ago.

Status:
duplicate
Priority:
broken
Assignee:
-
% Done:

0%


Description

Hi everybody,
since kdepim-runtime is built without nonfree qt5-webengine, every KDE application needing libQt5WebEngine* won't work anymore.
For example, Kaddressbook, Korganizer, Kontact and Kmail all return the following error:
error while loading shared libraries: libQt5WebEngineWidgets.so.5: cannot open shared object file: No such file or directory

These packages (I didn't identify all of them) should be removed from repositories, by the time we find a replacement for qt5-webengine, shouldn't they ?
Thanks in advance,

FĂ©licien Pillot <>


Related issues

Related to Packages - Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform"confirmed

Actions
Related to Packages - Freedom issue #2012: KDE depends on Qt5-Webengine (Duh...)confirmed

Actions

History

#1

Updated by isacdaavid over 3 years ago

  • Related to Freedom issue #1167: [chromium][qt5-webengine][electron] QTWebgine/Electron embeds "entire Chromium platform" added
#2

Updated by Megver83 over 3 years ago

I can confirm this, I think maybe we (or someone else) could fork some of these apps to make them work without qt5-webengine. Or better would be to fork qt5-webengine itself...

#3

Updated by bill-auger almost 2 years ago

#4

Updated by bill-auger almost 2 years ago

  • Status changed from open to not-a-bug

refer to #2012 - which has a more complete list of KDE programs

#5

Updated by bill-auger almost 2 years ago

  • Status changed from not-a-bug to duplicate

Also available in: Atom PDF